---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 30
    AccountRefMonth: 06
    LastMadeUpDate: 30/06/2023
    NextDueDate: 31/03/2025
  CompanyCategory: Private Limited Company
  CompanyName: A SHAHID ENGINEERING LIMITED
  CompanyNumber: 08421944
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 27/02/2013
  RegAddress:
    AddressLine1: GLEBE LAND
    AddressLine2: SHARPENHOE ROAD
    PostTown: LUTON
    County: BEDFORDSHIRE
    Postcode: LU3 3PS
  Returns:
    LastMadeUpDate: 27/02/2024
    NextDueDate: 13/03/2025
  SICCodes:
    SicText:
      - '71129 - Other engineering activities'
